WordPress 3.6 Update Flaw

wordpress logoI Just updated 114 sites.

There is a Flaw with update to WordPress version 3.6

of the 114 site 57 had this error after the update:

Warning: require(/home/sitename/public_html/wp-includes/revision.php) [function.require]: failed to open stream: No such file or directory in /home/dhomepla/public_html/wp-settings.php on line 120

Fatal error: require() [function.require]: Failed opening required ‘/home/sitename/public_html/wp-includes/revision.php’ (include_path=’.:/usr/lib/php:/usr/local/lib/php’) in /home/dhomepla/public_html/wp-settings.php on line 120

Please note sitename was added as a place holder for the directory name of the affected site.

This error is fatal to the wordpress site being updated.

What appears to happen:

Revision.php is randomly missing and is not unpacked during the update and the update fails.

Solution:

  1. get the latest version of wp : http://wordpress.org/download/
  2. upload the WP-Includes files over-top of the broken version
  3. then log in to the admin side and force a reinstall of wordpress.

Solution #2

  1. Restore last working version of wordpress database and files.

What a pain.

 

This entry was posted in Word Press Updates and tagged , . Bookmark the permalink.

2 thoughts on “WordPress 3.6 Update Flaw

  1. Pingback: wordpress 3.6 | Y WP 4 U

  2. Pingback: Publishing systems - WordPress 3.6 "Oscar"

Leave a Reply